#!/usr/bin/env bash

set -o errexit
set -o nounset

declare -r CONTEXT_LOG=context.log
declare -r PDF_EXTENSION='.pdf'
declare -r PER_EXTENSION='.per'
declare -r TEX_EXTENSION='.tex'

declare bookName
declare pdfFile
declare personaliseFile
declare personaliseName
declare texFile

if [[ ${#} -ne 1 ]] ; then
  echo "$(basename ${0}) <TEX-FILE>"
  exit 1
fi
texFile=${1}; shift

rm -f ${CONTEXT_LOG}
for personaliseFile in *${PER_EXTENSION} ; do
  personaliseName=$(basename ${personaliseFile} ${PER_EXTENSION})
  pdfFile="$(basename ${texFile} ${TEX_EXTENSION})${personaliseName}${PDF_EXTENSION}"
  echo "Genereer: ${pdfFile}"
  texexec --environment=${personaliseFile} \
          --purgeall \
          --result=${pdfFile} \
          --timeout=15 ${texFile} >>${CONTEXT_LOG}
done
echo Processed all files
